Page MenuHomeFreeBSD

New port: audio/fluidplug-lv2: SoundFonts as LV2 plugins via FluidSynth
ClosedPublic

Authored by yuri on Nov 25 2017, 6:28 AM.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

yuri created this revision.Nov 25 2017, 6:28 AM
tcberner added inline comments.Nov 25 2017, 9:35 AM
audio/fluidplug-lv2/Makefile
15 ↗(On Diff #35756)

^ new port: sort :)

yuri marked an inline comment as done.Nov 25 2017, 9:41 AM
tcberner added inline comments.Nov 25 2017, 1:43 PM
audio/fluidplug-lv2/Makefile.list
26 ↗(On Diff #35762)

^ close one, let's hope they don't add two more :D

yuri updated this revision to Diff 35778.Nov 25 2017, 8:57 PM

Replaced the repetitious statements with for clauses.

yuri marked an inline comment as done.Nov 25 2017, 8:57 PM
mat requested changes to this revision.Nov 27 2017, 1:30 PM
mat added inline comments.
audio/fluidplug-lv2/Makefile
23 ↗(On Diff #35778)

Default, remove.

audio/fluidplug-lv2/Makefile.list
3–5 ↗(On Diff #35778)

First, this is better written as:

MASTER_SITES+= http://download.linuxaudio.org/musical-instrument-libraries/sf2/AVL-Drumkits-1.1-SF2-splitted/:b,c,d,e,f,g

Second, this is better written as simply :b (or some other group with a more descriptive name) and use :b for all the distfiles that need this particular directory.

This revision now requires changes to proceed.Nov 27 2017, 1:30 PM
yuri updated this revision to Diff 35866.Nov 27 2017, 5:32 PM
yuri marked an inline comment as done.

.

yuri marked an inline comment as done.Nov 27 2017, 5:32 PM
mat added inline comments.Nov 27 2017, 5:39 PM
audio/fluidplug-lv2/Makefile.list
4 ↗(On Diff #35866)

Duplicate.

yuri updated this revision to Diff 35873.Nov 27 2017, 5:46 PM
yuri marked an inline comment as done.

.

yuri added a comment.Dec 3 2017, 6:32 PM

@mat Anything else here?

mat accepted this revision.Dec 4 2017, 1:27 PM
This revision is now accepted and ready to land.Dec 4 2017, 1:27 PM
yuri added a comment.Dec 4 2017, 7:14 PM

@tcberner Tobias, can this be committed?

yuri added a comment.Dec 7 2017, 6:28 PM

@tcberner It shows it as "Accepted" and ready to land, but there is no your approval there. :)

Woops, I thought I already accepted this :) -- sorry

tcberner accepted this revision.Dec 8 2017, 6:15 AM
yuri added a comment.Dec 8 2017, 6:36 AM

Woops, I thought I already accepted this :) -- sorry

No problem! -)

This revision was automatically updated to reflect the committed changes.